#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - gcc5-lib-base installation
#
# Creation   :  2017-12-10 holbru
# Last update:  $Id: postinstall-gcc5-lib-base.sh 47831 2017-12-11 21:42:43Z hbfl $
#
# Copyright (c) 2017-2017 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=gcc5-lib-base

# ---------------------------------------------------------------------------
# update-2.8.1
# ---------------------------------------------------------------------------
update_2_8_1()
{
# ---------------------------------------------------------------------------
# remove old libs
# ---------------------------------------------------------------------------
rm -rf /usr/lib/libstdc++.so.6.0.14
rm -rf /usr/lib/libstdc++.so.6.0.17
rm -rf /usr/lib/libstdc++.so.6.0.19

}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

# remove filelist
rm -f /etc/filelist.d/${package_name}-files.txt

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
